:host {
	display: grid;
	gap: 8px;
	max-width: 500px;

	img {
		width: 100%;
		max-height: 500px;
	}

	.meta {
		display: grid;
		grid-template-columns: 1fr min-content;
		grid-template-rows: min-content min-content;
		grid-template-areas:
			'name download'
			'size download';
		gap: 4px 8px;
		align-items: center;

		span {
			text-overflow: ellipsis;
			white-space: nowrap;
			overflow: hidden;
		}

		button {
			grid-area: download;
		}
	}
}
